|  | Home |

# QMailFolderMessageSet Class Reference

The QMailFolderMessageSet class represents a set of messages corresponding to the content of a QMailFolder. More...

        #include <QMailFolderMessageSet>

This class is under development and is subject to change.

Inherits QMailMessageSet.

- List of all members, including inherited members

## Public Functions

| QMailFolderMessageSet ( QMailMessageSetContainer * container, const QMailFolderId & folderId, bool hierarchical = true )
QMailFolderId | folderId () const
bool | hierarchical () const

## Reimplemented Public Functions

virtual QMailMessageKey | descendantsMessageKey () const
virtual QString | displayName () const
virtual QMailMessageKey | messageKey () const

- 5 public functions inherited from QMailMessageSet
- 29 public functions inherited from QObject
- 10 public functions inherited from QMailMessageSetContainer

## Static Public Members

QMailMessageKey | contentKey ( const QMailFolderId & id, bool descendants )

- 4 static public members inherited from QObject

## Protected Functions

virtual void | createChild ( const QMailFolderId & childId )

- 1 protected function inherited from QMailMessageSet
- 7 protected functions inherited from QObject
- 1 protected function inherited from QMailMessageSetContainer

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMailFolderMessageSet class represents a set of messages corresponding to the content of a QMailFolder.

QMailFolderMessageSet provides a representation for a named subset of messages, specified by their parent QMailFolder.

If the QMailFolderMessageSet is hierarchical(), then any folders contained by the parent QMailFolder will automatically be managed as child QMailFolderMessageSets of the parent QMailFolderMessageSet.

## Member Function Documentation

### QMailFolderMessageSet::QMailFolderMessageSet ( QMailMessageSetContainer * container, const QMailFolderId & folderId, bool hierarchical = true )

Constructs a QMailFolderMessageSet within the parent container container, whose message set is defined by the content of the QMailFolder identified by folderId. If hierarchical is true, the message set will automatically maintain a set of child QMailFolderMessageSets corresponding to QMailFolders whose parentFolderId is folderId.

### QMailMessageKey QMailFolderMessageSet::contentKey ( const QMailFolderId & id, bool descendants ) `[static]`

Returns the message key that defines the content of a QMailFolderMessageSet for the folder identified by id. If descendants is true, then the result is the key that defines the descendantMessageKey() content.

### void QMailFolderMessageSet::createChild ( const QMailFolderId & childId ) `[virtual protected]`

Creates a message set object for the folder identified by childId, and appends it to this object.

Override this function to specialize the type created for child nodes.

### QMailMessageKey QMailFolderMessageSet::descendantsMessageKey () const `[virtual]`

Reimplemented from QMailMessageSet::descendantsMessageKey().

Returns the QMailMessageKey that selects the messages beneath the configured folder in the hierarchy.

### QString QMailFolderMessageSet::displayName () const `[virtual]`

Reimplemented from QMailMessageSet::displayName().

Returns the display name of the folder that this message set represents.

See also QMailFolder::displayName().

### QMailFolderId QMailFolderMessageSet::folderId () const

Returns the identifier of the QMailFolder associated with this message set.

### bool QMailFolderMessageSet::hierarchical () const

Returns true if this message set automatically maintains a hierarchy of child folder message sets.

### QMailMessageKey QMailFolderMessageSet::messageKey () const `[virtual]`

Reimplemented from QMailMessageSet::messageKey().

Returns the QMailMessageKey that selects the messages contained by the configured folder.